package com.zd.laboratory.domain.dto;

import com.zd.common.core.web.domain.BaseEntity;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @Author: zhoupan
 * @Date: 2021/09/07/10:54
 * @Description:
 */
public class LabMessageContentListQuery extends BaseEntity {
    /**
     * 消息类型
     */
    private Integer messType;

    /**
     * 消息类别
     */
    private Integer messClass;

    /**
     * 发送方式
     */
    private Integer sendMode;

    /**
     * 发送范围（1是全校，2是院系，3是个人，参考MessageSendRangeEnum）
     */
    private Integer sendRange;

    /**
     * 发送人
     */
    private String sendName;

    /**
     * 发送开始时间
     */
    private Date startDate;


    /**
     * 发送结束时间
     */
    private Date endDate;

    public String getSendName() {
        return sendName;
    }

    public void setSendName(String sendName) {
        this.sendName = sendName;
    }

    public Integer getMessType() {
        return messType;
    }

    public void setMessType(Integer messType) {
        this.messType = messType;
    }

    public Integer getSendMode() {
        return sendMode;
    }

    public void setSendMode(Integer sendMode) {
        this.sendMode = sendMode;
    }

    public Integer getSendRange() {
        return sendRange;
    }

    public void setSendRange(Integer sendRange) {
        this.sendRange = sendRange;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getMessClass() {
        return messClass;
    }

    public void setMessClass(Integer messClass) {
        this.messClass = messClass;
    }
}
